Page MenuHomePhabricator

Descriptions shown in the wrong language on link inspector suggestions
Closed, ResolvedPublic

Description

When adding a new link with the link inspector, a list of suggested links is shown. The list includes the Wikidata description which some issues about the language used:

  • For a translation into Spanish with Spanish UI, it was observed the description was shown in English (even though the Wikidata item had a description in Spanish)
  • For Malayalam the descriptions were correctly shown in Malayalam (when available on Wikidata).

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF added a subscriber: Pginer-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 22 2015, 4:21 PM
Arrbee set Security to None.
Amire80 triaged this task as High priority.Jul 23 2015, 4:18 PM
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.
Amire80 lowered the priority of this task from High to Normal.Jul 23 2015, 5:17 PM
Amire80 added a project: Wikidata.
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Aug 17 2015, 3:17 PM
Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 1 2015, 5:53 PM
Arrbee moved this task from Bugs to Check & Move on the ContentTranslation board.Jun 5 2018, 12:15 PM

@Pginer-WMF - it'd be great to specific examples.
To eliminate the obvious:

  • there might an article with English name in eswiki. For example, in ruwiki there is an article "WHO Model List of Essential Medicines" along with quite few others having English names
  • cx-testing inserts external links, but does not allow to edit them
  • wikidata are treated as external links?
  • cx2-testing handles links suggestion/editing differently

I certainly see some deficiencies in suggestions for links in cx-testing:

  • In ruwiki, the suggestion list includes the link - WHO Model List of Essential Medicines - that already on a page - and that link gets kind of stuck as a suggestion:


Etonkovidova removed Etonkovidova as the assignee of this task.Jun 15 2018, 1:24 AM
Etonkovidova added a subscriber: Etonkovidova.
Pginer-WMF closed this task as Resolved.Jun 21 2018, 11:57 AM
Pginer-WMF claimed this task.

The issue is not present in the new version of Content Translation.